
brainvisa-development - Task #8656

Windows : Add build on 64 bit computer

15/11/2013 05:37 PM - Souedet, Nicolas

Status: Closed Start date: 15/11/2013

Priority: Normal Due date:  

Assignee: Souedet, Nicolas % Done: 100%

Category:  Estimated time: 0:00 hour

Target version: brainvisa-4.6 Spent time: 0:00 hour

Description

Associated revisions

Revision 59436 - 15/11/2013 06:40 PM - brainvisa, admin

refs #8656 :

- Added ability to install different components on windows 32 bits and windows 64 bits OS.

- Added windows 64 bits mingw install

- Added windows 64 bits pkg-config install

- Fixes sigc++ install on windows 64 bits

- Fixes wrong component install order

Revision 59436 - 15/11/2013 06:40 PM - brainvisa, admin

refs #8656 :

- Added ability to install different components on windows 32 bits and windows 64 bits OS.

- Added windows 64 bits mingw install

- Added windows 64 bits pkg-config install

- Fixes sigc++ install on windows 64 bits

- Fixes wrong component install order

Revision 59600 - 20/11/2013 04:57 PM - brainvisa, admin

refs #8656

- fixes many components to be able to build on windows 64 bits

Revision 59600 - 20/11/2013 04:57 PM - brainvisa, admin

refs #8656

- fixes many components to be able to build on windows 64 bits

Revision 79270 - 29/09/2017 02:57 PM - Souedet, Nicolas

fixes: #8656 - Windows : Add build on 64 bit computer

History

#1 - 18/11/2013 03:20 PM - Souedet, Nicolas

The usually used version of openssl (0.9.8o) does not build correctly using mingw64 compiler.

Is it ok to upgrade to the latest openssl version 1.0.1e ?

#2 - 31/07/2015 03:33 PM - Cointepas, Yann

- Assignee set to Souedet, Nicolas

- Target version set to brainvisa-4.5

#3 - 02/10/2015 04:00 PM - Souedet, Nicolas

- Target version changed from brainvisa-4.5 to brainvisa-4.6

Core BrainVISA team is not sure to want to distribute (and support) a Windows 64bits distribution

#4 - 26/09/2017 03:33 PM - Riviere, Denis

- Status changed from New to In progress

- % Done changed from 0 to 90
#5 - 29/09/2017 03:00 PM - Souedet, Nicolas

- Status changed from In progress to Closed

- % Done changed from 90 to 100

Appliqué par commit brainvisa:r79270.
